Page MenuHomePhabricator

Cross-wiki-upload: Allow users to specify source and specific license
Open, LowPublic

Description

Currently all uploading tools, except cross-wiki, has a page where they get to chose form "is this from the web, your own, etc." or "which license and source does this image have"? Cross-wiki choses another approach, which is borderline dangerous and reckless for the Commons comunity, who has to clean up this mess.

Cross-wiki only allows users to choose "Own work" and the license "CC-by-sa 4.0", not even offerering a drop down menue for either of these things, or a blank field text box.

Event Timeline

Josve05a created this task.Dec 9 2015, 9:17 PM
Josve05a raised the priority of this task from to High.
Josve05a updated the task description. (Show Details)
Josve05a added a subscriber: Josve05a.
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptDec 9 2015, 9:17 PM
MarkTraceur lowered the priority of this task from High to Low.Dec 9 2015, 9:23 PM
MarkTraceur added a project: Epic.
MarkTraceur set Security to None.
MarkTraceur added a subscriber: MarkTraceur.

This is too big a task for us to take on currently. T120867 is smaller and should reduce the amount of license problems via the tool.

Then it should not have been pushed and released in the first place if you cant fix flaws with the system.

Then it should not have been pushed and released in the first place if you cant fix flaws with the system.

I don't see how this is relevant in the context of this bug.

Then it should not have been pushed and released in the first place if you cant fix flaws with the system.

I don't see how this is relevant in the context of this bug.

I don't see the aspect of you being understaffed changes the priority or severity of this bug

I don't see the aspect of you being understaffed changes the priority or severity of this bug

Priority is explicitly the field we use to determine what we are going to work on. This bug is a low priority for us, even if it's a high priority for you. If you want to work on it, you're welcome to - you can claim it and set the priority to whatever you'd like.

Actually, I'm not convinced that this is the right move for simple uploads. We want to make it "easy" to do the right thing, and as soon as you deviate (like wanting to upload someone else's stuff) you need to go through a different process.

Tgr added a subscriber: Tgr.Dec 9 2015, 9:41 PM

Actually, I'm not convinced that this is the right move for simple uploads. We want to make it "easy" to do the right thing, and as soon as you deviate (like wanting to upload someone else's stuff) you need to go through a different process.

+1. So maybe add an "Other" option which blocks uploading and has a link to UploadWizard on Commons?

Yann added a subscriber: Yann.Dec 9 2015, 9:54 PM

Priority setting is explained here and as MarkTraceur correctly pointed out, anybody (whether volunteer or paid by some org) is welcome to work on tasks they are interested to see fixed. Bugs, oversights, and unexpected situations do happen in software development and at least in the product area WMF plans to improve the current process (feedback welcome).

RP88 added a subscriber: RP88.Dec 10 2015, 5:58 AM
Steinsplitter moved this task from Incoming to Backlog on the Commons board.Dec 10 2015, 12:03 PM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 4 2016, 10:43 PM

Actually, I'm not convinced that this is the right move for simple uploads. We want to make it "easy" to do the right thing, and as soon as you deviate (like wanting to upload someone else's stuff) you need to go through a different process.

+1. So maybe add an "Other" option which blocks uploading and has a link to UploadWizard on Commons?

That's already linked; it was highlighted when you picked a 'wrong' option in one of the options in the recent A/B test, but results of that aren't out yet.

Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptJun 11 2016, 3:39 AM
MarkTraceur moved this task from Untriaged to Triaged on the Multimedia board.Dec 6 2016, 3:52 PM